package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.UserPersonal;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;
import com.qcloud.Module.Base;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Example;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

public interface IUserPersonalService {

    List<PersionalUserAuthListModel> getAuthUserList(PersionalUserSearchModel inputModel);

    long queryAuthUserCount(PersionalUserSearchModel inputModel);

    PersionalUserAuthDataModel queryOne(Long id);

    List<UserRegisterListModel> getRegisterUserList(String phone, BaseExample.Page pager);

    long queryRegisterUserCount( String phone);

    List<RegisterUserStatisticsModel> registerUserStatistics();

    ResultState registerUserGraph(String year);
}
